import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 10.11.2007
  * @author
  */

public class CaesarGui extends JFrame {
  // Anfang Variablen
  private JTextField jTextField1 = new JTextField();
  private JTextField jTextField2 = new JTextField();
  private JButton jButton1 = new JButton();
  private JButton jButton2 = new JButton();
  private JButton jButton3 = new JButton();
  private JLabel jLabel1 = new JLabel();
  private JLabel jLabel2 = new JLabel();
  private JButton jButton4 = new JButton();
  private JMenuBar jmb = new JMenuBar();
  private JMenu jDateiMenu = new JMenu("Datei");
  private JMenuItem jDateiMenuItem1 = new JMenuItem("Beenden");
  private JMenu jBearbeitenMenu = new JMenu("Bearbeiten");
  private JMenuItem jBearbeitenMenuItem1 = new JMenuItem("chiffriere");
  private JMenuItem jBearbeitenMenuItem2 = new JMenuItem("dechiffriere");
  private JMenuItem jBearbeitenMenuItem3 = new JMenuItem("Original setzen");
  private JMenuItem jBearbeitenMenuItem4 = new JMenuItem("Schlssel setzen");
  private JMenuItem jBearbeitenMenuItem5 = new JMenuItem("Chiffrat setzen");
  private JMenuItem jBearbeitenMenuItem6 = new JMenuItem("Original zeigen");
  private JMenuItem jBearbeitenMenuItem7 = new JMenuItem("Chiffrat zeigen");
  private JMenuItem jBearbeitenMenuItem8 = new JMenuItem("Dechiffrat zeigen");
  private JMenu jHilfeMenu = new JMenu("Hilfe");
  private JMenuItem jHilfeMenuItem1 = new JMenuItem("Hilfe");
  
  private static Caesar caesar;
  // Ende Variablen

  public CaesarGui(String title) {
    // Frame-Initialisierung
    super(title);
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent evt) { System.exit(0); }
    });
    int frameWidth = 300;
    int frameHeight = 300;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2 ;
    setLocation(x, y);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten

    jLabel1.setBounds(8, 24, 44, 16);
    jLabel1.setText("jLabel1");
    jLabel1.setFont(new Font("MS Sans Serif", Font.PLAIN, 13));
    cp.add(jLabel1);
    jLabel2.setBounds(8, 136, 44, 16);
    jLabel2.setText("jLabel2");
    jLabel2.setFont(new Font("MS Sans Serif", Font.PLAIN, 13));
    cp.add(jLabel2);

    jTextField1.setBounds(64, 24, 217, 24);
    jTextField1.setText("jTextField1");
    cp.add(jTextField1);
    jTextField2.setBounds(64, 128, 65, 24);
    jTextField2.setText("jTextField2");
    cp.add(jTextField2);

    jButton1.setBounds(8, 64, 75, 25);
    jButton1.setText("chiffriere");
    cp.add(jButton1);
    jButton1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton1ActionPerformed(evt);
      }
    });

    jButton2.setBounds(8, 96, 75, 25);
    jButton2.setText("dechiffriere");
    cp.add(jButton2);
    jButton2.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton2ActionPerformed(evt);
      }
    });

    jButton3.setBounds(8, 160, 75, 25);
    jButton3.setText("setzen");
    cp.add(jButton3);
    jButton3.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton3ActionPerformed(evt);
      }
    });

    jButton4.setBounds(208, 160, 75, 25);
    jButton4.setText("Beenden");
    cp.add(jButton4);
    jButton4.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton4ActionPerformed(evt);
      }
    });

    setJMenuBar(jmb);
    jmb.add(jDateiMenu);
    jDateiMenuItem1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jDateiMenuItem1ActionPerformed(evt); } });
    jDateiMenu.add(jDateiMenuItem1);

    jmb.add(jBearbeitenMenu);
    jBearbeitenMenuItem1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jBearbeitenMenuItem1ActionPerformed(evt); } });
    jBearbeitenMenu.add(jBearbeitenMenuItem1);

    jBearbeitenMenuItem2.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jBearbeitenMenuItem2ActionPerformed(evt); } });
    jBearbeitenMenu.add(jBearbeitenMenuItem2);

    jBearbeitenMenuItem3.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jBearbeitenMenuItem3ActionPerformed(evt); } });
    jBearbeitenMenu.add(jBearbeitenMenuItem3);

    jBearbeitenMenuItem4.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jBearbeitenMenuItem4ActionPerformed(evt); } });
    jBearbeitenMenu.add(jBearbeitenMenuItem4);

    jBearbeitenMenuItem5.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jBearbeitenMenuItem5ActionPerformed(evt); } });
    jBearbeitenMenu.add(jBearbeitenMenuItem5);

    jBearbeitenMenuItem6.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jBearbeitenMenuItem6ActionPerformed(evt); } });
    jBearbeitenMenu.add(jBearbeitenMenuItem6);

    jBearbeitenMenuItem7.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jBearbeitenMenuItem7ActionPerformed(evt); } });
    jBearbeitenMenu.add(jBearbeitenMenuItem7);

    jBearbeitenMenuItem8.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jBearbeitenMenuItem8ActionPerformed(evt); } });
    jBearbeitenMenu.add(jBearbeitenMenuItem8);

    jmb.add(jHilfeMenu);
    jHilfeMenuItem1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jHilfeMenuItem1ActionPerformed(evt); } });
    jHilfeMenu.add(jHilfeMenuItem1);

    // Ende Komponenten

    setResizable(false);
    setVisible(true);
  }

  // Anfang Ereignisprozeduren
  public void jButton1ActionPerformed(ActionEvent evt) {
     caesar.chiffriere();
  }

  public void jButton2ActionPerformed(ActionEvent evt) {
     caesar.dechiffriere();
  }

  public void jButton3ActionPerformed(ActionEvent evt) {
     caesar.setzeSchluessel(jTextField2.getText().charAt(0));
  }

  public void jButton4ActionPerformed(ActionEvent evt) {
     System.exit(0);
  }

  public void jDateiMenuItem1ActionPerformed(ActionEvent evt) {
     System.exit(0);
  }
  public void jBearbeitenMenuItem1ActionPerformed(ActionEvent evt) {
     caesar.chiffriere();
  }
  public void jBearbeitenMenuItem2ActionPerformed(ActionEvent evt) {
     caesar.dechiffriere();
  }
  public void jBearbeitenMenuItem3ActionPerformed(ActionEvent evt) {
     caesar.setzeSchluessel(jTextField2.getText().charAt(0));
  }
  public void jBearbeitenMenuItem4ActionPerformed(ActionEvent evt) {
     caesar.setzeOriginal(jTextField1.getText());
  }
  public void jBearbeitenMenuItem5ActionPerformed(ActionEvent evt) {
     caesar.setzeOriginal(jTextField1.getText());
  }
  public void jBearbeitenMenuItem6ActionPerformed(ActionEvent evt) {
     jTextField1.setText(caesar.gibOriginal());
  }
  public void jBearbeitenMenuItem7ActionPerformed(ActionEvent evt) {
     jTextField1.setText(caesar.gibChiffrat());
  }
  public void jBearbeitenMenuItem8ActionPerformed(ActionEvent evt) {
     jTextField1.setText(caesar.gibDechiffrat());
  }
  public void jHilfeMenuItem1ActionPerformed(ActionEvent evt) {

  }
  // Ende Ereignisprozeduren

  public static void main(String[] args) {
    new CaesarGui("CaesarGui");
    caesar = new Caesar();
  }
}

